#ifndef ProtoGenWrapper_ComInterfaceCommand_H
#define ProtoGenWrapper_ComInterfaceCommand_H

#include <memory>

#include <Command.h>
namespace ProtoGenWrapper
{
	class ComInterface;

	class ComInterfaceCommand : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		ComInterfaceCommand(const ComInterface &comInterface);
		ComInterfaceCommand(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);
		ComInterfaceCommand() = delete;

		bool GetValues(ComInterface &comInterface);
	};
}
#endif // ProtoGenWrapper_ComInterfaceCommand_H
